/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <QPluginLoader>

#include <nostalgia/studio/studio.hpp>

namespace nostalgia::world {

class WorldEditorPlugin: public QObject, public studio::Module {
	Q_OBJECT
	Q_PLUGIN_METADATA(IID "net.drinkingtea.nostalgia.world.studio.Module" FILE "world-studio.json")
	Q_INTERFACES(nostalgia::studio::Module)

	public:
		QVector<studio::WizardMaker> newWizards(const studio::Context *ctx) override;

};

}
